function getById(id) {
        if (document.getElementById)
                return document.getElementById(id);
        return document.all[id];
}

/* MOTIVACIJSKA VPRAŠANJA */
function ShowAnswer(tip,vprasanje_id) {
	var odgovorPravilen = 0;
	document.getElementById('Pravilen').style.display = 'none';
	document.getElementById('Nepravilen').style.display = 'none';
	var ajax_odg = "";
	var pravilnih=0;
	if(tip == 'vec' || tip == 'en') {
		var oznacenih =0;		
		for (var i = 0; i<document.mot.elements.length; i++) {
		
			if ((document.mot.elements[i].name.indexOf('odg_'+vprasanje_id) > -1)) {
				var odg = document.mot.elements[i];
				
				var obr = document.getElementById('obrazlozitev'+odg.value); //div z obrazložitvijo
				if(obr) obr.style.display = 'none'; //skrijemo
				if(odg.checked) {
					ajax_odg += '&odg_'+vprasanje_id+'=' + odg.value;
					var predpreverjanjem = pravilnih;
					for(k=0;k<aoP.length;k++)  {
						if(aoP[k]== odg.value) pravilnih++;
					}
					//odgovor je označen vendar ni pravilen, prikažemo obrazložitev
					if(predpreverjanjem == pravilnih && obr) obr.style.display = '';
				oznacenih++;
				} else {
				    // če odgovor ni označen pa je med pravilnimi, , prikažemo obrazložitev
				   	for(k=0;k<aoP.length;k++)  {
						if(aoP[k] == odg.value && obr) obr.style.display = '';
					} 
				}
			}
		}
		if(pravilnih == aoPLen && oznacenih == pravilnih) {
			var odgp = getById('Pravilen');
			odgp.style.display = 'block';
			odgovorPravilen = 1;	
		}
		else {
			document.getElementById('Nepravilen').style.display = 'block';
			odgovorPravilen = 0;
		}	
	}
	
	if(tip=='tekst') {
        var obr = getById('obrazlozitev' + vprasanje_id); //div z obrazložitvijo
        if(obr) obr.style.display = 'none'; //skrijemo
		for (var i = 0; i<document.mot.elements.length; i++) {
			if ((document.mot.elements[i].name.indexOf('odg_'+vprasanje_id) > -1)) {
				var odg = document.mot.elements[i];
				
				for(k=0;k<aoP.length;k++)  {
					var odg_value='';
					if(aoP[k]!= null)  {
						odg_arr = BreakToArray(aoP[k]);
						for(k1=0;k1<odg_arr.length;k1++) {
							if(odg_arr[k1].length != 0 && odg_arr[k1].indexOf('<')<0) {
								odg_value += odg_arr[k1];
							}
						}
					}
					var odgovor_value = odg.value;
					odgovor_value = odgovor_value.replace(/^\s*|\s*$/g,""); // javascript trim
					odg_value = odg_value.replace(/^\s*|\s*$/g,""); // javascript trim
					ajax_odg += '&odg_'+vprasanje_id+'=' + odg_value;
					if(odg_value.toLowerCase() == odgovor_value.toLowerCase() && odgovor_value != "") pravilnih++;
				}		
				if(pravilnih>0) {
					getById('Pravilen').style.display = 'block';
					odgovorPravilen = 1;
				}
				else {
					getById('Nepravilen').style.display = 'block';
					odgovorPravilen = 0;
					if(obr) obr.style.display = ''; //prikažemo obrazložitev
				}
			}
		}
	}
	if(tip == 'tekstarea') {
	var odg = '';
			for (var i = 0; i<document.mot.elements.length; i++) {
				if ((document.mot.elements[i].name.indexOf('odg_'+vprasanje_id) > -1)) {
					odg = document.mot.elements[i];
				}
			}
		ajax_odg += '&odg_'+vprasanje_id+'=' + odg.value;
	}
	
	// shranjevanje odgovora
	
	var at_id = 0; 
	if(document.mot.elements['at_id'])
		at_id = document.mot.elements['at_id'].value;

	if(document.mot.elements['atom_id'])
		at_id = document.mot.elements['atom_id'].value;	

	//alert(at_id);
	if(at_id <=0) alert("atoma nimam");

	return;
}
/* END MOTTIVACIJSKA VPRAŠANJA*/

function ChangeStyle(obj,stil) {
	obj.className = stil;
}

function ChangeImageBtn(img,izbira) {
	var i = "";
	i = img.src;
	if (izbira) {
		i = i.substr(0,i.length-4)+"_izbira.gif";
	} else {
		i = i.replace("_izbira","");
	}
	img.src = i;
}


function toggleBlock(id) {
	var obj = getById(id);
	if (obj) {
		show = obj.style.display;
		if (show=="none") obj.style.display = "";
		else obj.style.display = "none";
	
	}
	return(false);
}

